Package org.mariadb.jdbc.plugin.authentication.standard

# Class Ed25519PasswordPlugin

java.lang.Object
org.mariadb.jdbc.plugin.authentication.standard.Ed25519PasswordPlugin

All Implemented Interfaces:
  `AuthenticationPlugin`

public class Ed25519PasswordPlugin extends Object implements AuthenticationPlugin
ED25519 password plugin

## Constructor Summary

Constructors
Constructor
Description
`Ed25519PasswordPlugin(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`hash(Credential credential)`
Return Hash
`boolean`
`isMitMProof()`
Can plugins is MitM-proof, permitting returning HASH
`org.mariadb.jdbc.client.ReadableByteBuf`
`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context)`
Process Ed25519 password plugin authentication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Ed25519PasswordPlugin

public Ed25519PasswordPlugin(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)

## Method Details

### process

public org.mariadb.jdbc.client.ReadableByteBuf process(Writer out, Reader in, org.mariadb.jdbc.client.Context context) throws SQLException, IOException
Process Ed25519 password plugin authentication. see https://mariadb.com/kb/en/library/authentication-plugin-ed25519/

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `context` - connection context
Returns:
  response packet
Throws:
  `IOException` - if socket error
  `SQLException` - if plugin exception

### isMitMProof

public boolean isMitMProof()
Description copied from interface: `AuthenticationPlugin`
Can plugins is MitM-proof, permitting returning HASH

Specified by:
  `isMitMProof` in interface `AuthenticationPlugin`
Returns:
  true if permitted

### hash

public byte[] hash(Credential credential)
Return Hash

Specified by:
  `hash` in interface `AuthenticationPlugin`
Parameters:
  `credential` - Credential
Returns:
  hash